org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.LABEL

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Anchor, HamletSpec._Child, HamletSpec._Content, HamletSpec._FontSize, HamletSpec._FontStyle, HamletSpec._FormCtrl, HamletSpec._ImgObject, HamletSpec._InsDel, HamletSpec._Object, HamletSpec._RawContent, HamletSpec._Script, HamletSpec._Special, HamletSpec._SubSup, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.FontStyle, HamletSpec.I18nAttrs, HamletSpec.PCData, HamletSpec.Phrase, HamletSpec.Special
  All Known Implementing Classes:
    Hamlet.LABEL
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.LABEL
      extends HamletSpec.Attrs, HamletSpec._Child, HamletSpec.PCData, HamletSpec.FontStyle, HamletSpec.Phrase, HamletSpec.Special, HamletSpec._FormCtrl

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.LABEL` | `$accesskey(String cdata)` accessibility key character
    `HamletSpec.LABEL` | `$for(String cdata)` matches field ID value
    `HamletSpec.LABEL` | `$onblur(String script)` the element lost the focus
    `HamletSpec.LABEL` | `$onfocus(String script)` the element got the focus

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._RawContent

      `_r`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontStyle

      `b, b, b, i, i, i`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontSize

      `small, small, small`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Phrase

      `abbr, abbr, abbr, cite, cite, cite, code, code, code, dfn, dfn, dfn, em, em, em, kbd, kbd, kbd, samp, samp, samp, strong, strong, strong, var, var, var`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Anchor

      `a, a, a, a`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._ImgObject

      `img, img`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Object

      `object, object`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._SubSup

      `sub, sub, sub, sup, sup, sup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Special

      `bdo, bdo, br, br, map, map, q, q, q, span, span, span`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._InsDel

      `del, del, ins, ins`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FormCtrl

      `button, button, button, input, input, select, select, textarea, textarea, textarea`

- - ### Method Detail

    - #### $for

          HamletSpec.LABEL $for(String cdata)

      matches field ID value
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $accesskey

          HamletSpec.LABEL $accesskey(String cdata)

      accessibility key character
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $onfocus

          HamletSpec.LABEL $onfocus(String script)

      the element got the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onblur

          HamletSpec.LABEL $onblur(String script)

      the element lost the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.